## VitexSoftware-php-ease-core.zip

=== Makefile ===
# vim: set tabstop=8 softtabstop=8 noexpandtab:
.PHONY: help
help: ## Displays this list of targets with descriptions
	@grep -E '^[a-zA-Z0-9_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[32m%-30s\033[0m %s\n", $$1, $$2}'

.PHONY: cs
cs: vendor ## Normalizes composer.json with ergebnis/composer-normalize and fixes code style issues with friendsofphp/php-cs-fixer
	mkdir -p .build/php-cs-fixer
	vendor/bin/php-cs-fixer fix --config=.php-cs-fixer.dist.php --diff --verbose

.PHONY: static-code-analysis
static-code-analysis: check-symfony vendor ## Runs a static code analysis with phpstan/phpstan
	vendor/bin/phpstan analyse --configuration=phpstan-default.neon.dist --memory-limit=-1

.PHONY: static-code-analysis-baseline
static-code-analysis-baseline: check-symfony vendor ## Generates a baseline for static code analysis with phpstan/phpstan
	venndor/bin/phpstan analyze --configuration=phpstan-default.neon.dist --generate-baseline=phpstan-default-baseline.neon --memory-limit=-1

.PHONY: tests
tests: vendor
	vendor/bin/phpunit tests

.PHONY: vendor
vendor: composer.json ## Installs composer dependencies
	composer install

clean: ## remove unneeded files
	rm -rf vendor composer.lock
	rm -rf debian/php-vitexsoftware-ease-core
	rm -rf debian/php-vitexsoftware-ease-core-doc
	rm -rf debian/*.log debian/tmp
	rm -rf docs/*

phpdoc: clean
	mkdir -p docs
	phpdoc --defaultpackagename=MainPackage
	mv .phpdoc/build/* docs

apigen: ## Build Apigen documentation
	rm -rfv docs ; mkdir docs
	VERSION=`cat debian/composer.json | grep version | awk -F'"' '{print $4}'`; \
	apigen generate --destination=docs -- src/
#	apigen generate --destination=docs --title "Ease PHP Framework Core ${VERSION}" --charset UTF-8 --access-levels public --access-levels protected --php --tree -- src/


composer: ## Update PHP dependencies
	composer update

phpunit: ## Testing by PHPUnit
	mkdir -p debian/tmp/
	vendor/bin/phpunit --bootstrap tests/Bootstrap.php --configuration phpunit.xml

deb: ## Build Debian package
	dch -i "`git log -1 --pretty=%B`"
	debuild -i -us -uc -b

rpm: ## Build RedHat package
	rpmdev-bumpspec --comment="`git log -1 --pretty=%B`" --userstring="Vítězslav Dvořák <info@vitexsoftware.cz>" ease-core.spec
	rpmbuild -ba ease-core.spec

docker: dimage

dimage: ## Build docker image
	docker build -t vitexsoftware/php-ease-core .


release:
	echo Release v$(nextversion)
	dch -v $(nextversion) `git log -1 --pretty=%B | head -n 1`
	debuild -i -us -uc -b
	git commit -a -m "Release v$(nextversion)"
	git tag -a $(nextversion) -m "version $(nextversion)"

phpstan:
	phpstan analyse --error-format=checkstyle --level=4 src

=== debian/changelog ===
php-vitexsoftware-ease-core (1.45.0) UNRELEASED; urgency=medium

  * Preparation for php8.4

 -- vitex <info@vitexsoftware.cz>  Fri, 15 Nov 2024 02:23:30 +0100

php-vitexsoftware-ease-core (1.44.2) unstable; urgency=medium

  * Strict types

 -- vitex <info@vitexsoftware.cz>  Fri, 15 Nov 2024 02:23:17 +0100

php-vitexsoftware-ease-core (1.44.1) unstable; urgency=medium

  * user strict types fix

 -- vitex <info@vitexsoftware.cz>  Wed, 23 Oct 2024 00:12:00 +0200

php-vitexsoftware-ease-core (1.44.0) unstable; urgency=medium

  * v1.44.0 release

 -- vitex <info@vitexsoftware.cz>  Fri, 11 Oct 2024 06:58:35 +0200

php-vitexsoftware-ease-core (1.43.0) unstable; urgency=medium

  [ Vítězslav Dvořák ]
  * all unit tests pass
  * Code Weihght loss
  * Create compat
  * PHP8 Ready
  * Strict types
  * Set initial properties objectName and keyColumn


  [ CyberVitexus ]
  * Allow use constant definiton from system ENV
  * Using ENV configuration fixed
  * package php-vitexsoftware-ease-core-dev now contain code for mailer testing
  * v0.34 release
  * Merge origin/master  Conflicts:  src/Ease/Shared.php
    src/Ease/User.php
  * Merge origin/master
  * Release v0.39
  * Status Message functions moved to its own trait \Ease\Logger\Logging
  * Create deb
  * Release v0.42
  * Merge branch 'master' of github.com:VitexSoftware/ease-core
  * Merge branch 'master' of github.com:VitexSoftware/ease-core
  * 
  * Apigen is to hungry to generate doc package every time
  * Unit tests pass again
  * Release v1.7
  * added Ability to load simple .env files
  * Release v1.7
  * Release v1.7
  * Release v1.7
  * Merge branch 'main' of github.com:VitexSoftware/ease-core into main
  * Strict types & PHP8 compatibility added
  * 
  * Strict types & PHP8 compatibility added
  * Strict types & PHP8 compatibility added
  * Merge branch 'main' of github.com:VitexSoftware/ease-core into main
  * Try to pass Eventlog encoding test
  * v17 release
  * jenkins
  * jenkins
  * jenkins
  * jenkins
  * prepare to run tests after installing package php-vitexsoftware-ease-
    core-dev
  * prepare to run tests after installing package php-vitexsoftware-ease-
    core-dev
  * prepare to run tests after installing package php-vitexsoftware-ease-
    core-dev
  * prepare to run tests after installing package php-vitexsoftware-ease-
    core-dev
  * prepare to run tests after installing package php-vitexsoftware-ease-
    core-dev
  * prepare to run tests after installing package php-vitexsoftware-ease-
    core-dev
  * prepare to run tests after installing package php-vitexsoftware-ease-
    core-dev
  * prepare to run tests after installing package php-vitexsoftware-ease-
    core-dev
  * prepare to run tests after installing package php-vitexsoftware-ease-
    core-dev
  * we use composer-debian now
  * composer-debian used now
  * EaseCoreTests -> EaseCore/Test
  * EaseCoreTests -> EaseCore/Test
  * EaseCoreTests -> EaseCore/Test
  * path in rules fix
  * path in rules fix
  * vendor path fix

  [ vitex ]
  * v1.37 release
  * fix
  * Init Added
  * appVersion added
  * Shared::Init for sqlite
  * phpstan
  * Init Improvements

 -- vitex <info@vitexsoftware.cz>  Fri, 04 Oct 2024 06:54:57 +0200

php-vitexsoftware-ease-core (0.12) UNRELEASED; urgency=medium

  * Sensiolabs Icon removed
  * global rename ease-framework to ease-core
  * Package update
  * Update deb package schema for current composer Upgrade all using
    apps by composer-global-update in postinst
  * Update deb package schema for current composer Upgrade all using
    apps by composer-global-update in postinst
  * Code Cleanup
  * Keep user in session backported
  * Lintian is happy now

 -- Vítězslav Dvořák <info@vitexsoftware.cz>  Fri, 11 Oct 2019 11:04:56 +0200

php-vitexsoftware-ease-core (0.1) EXPERIMENTAL; urgency=medium

  * Package build fixed

 -- Vítězslav Dvořák <vitex@develoid.jinonice.czf>  Fri, 01 Jun 2018 08:47:35 +0200

=== debian/control ===
Source: php-vitexsoftware-ease-core
Build-Depends: debhelper (>= 10), moreutils, jq, composer, phpdocumentor, php-mbstring, php-dom, php-xml, php-intl, php-cli
Section: web
Standards-Version: 3.9.8
Maintainer: Vítězslav Dvořák <info@vitexsoftware.cz>
Uploaders: Vitex <vitex@hippy.cz>
Priority: optional
Homepage: https://github.com/VitexSoftware/php-ease-core

Package: php-vitexsoftware-ease-core
Depends: ${misc:Depends}, php-mail, php-mail-mime, composer-debian, php-intl
Conflicts: ease-framework
Architecture: all
Suggests: php-vitexsoftware-ease-html, php-vitexsoftware-ease-bootstrap, php-vitexsoftware-ease-bootstrap4
Section: web
Priority: optional
Description: EasePHP Framework Core
 common classes for Ease Framework.

Package: php-vitexsoftware-ease-core-dev
Pre-Depends: default-mta | postfix | exim4 | ssmtp | mail-transport-agent
Depends: ${misc:Depends}, php-mail, php-mail-mime, php-vitexsoftware-ease-core, phpunit,
Architecture: all
Suggests: php-vitexsoftware-ease-html, php-vitexsoftware-ease-bootstrap, php-vitexsoftware-ease-bootstrap4
Section: web
Priority: optional
Description: EasePHP Framework Unit Tests
 Ease Framework Core unit Test classes.

Package: php-vitexsoftware-ease-core-doc
Depends: ${misc:Depends}
Architecture: all
Suggests: www-browser
Section: doc
Priority: optional
Description: EasePHP Framework Documentation
 Ease Framework core documentation generate phpDocumentor

=== debian/rules ===
#!/usr/bin/make -f

PKG_PATH:=/usr/share/php/EaseCore
BUILD_DIR:=build

%:
	dh $@

override_dh_prep:
	phpdoc -d src --defaultpackagename=MainPackage
	rm -rf docs
	mkdir -p docs        
	mv .phpdoc/build/* docs
	dh_prep

override_dh_auto_test:
	composer update --no-ansi --no-interaction --no-progress --no-scripts --optimize-autoloader
	./vendor/bin/phpunit --bootstrap tests/Bootstrap.php 
	dh_auto_test


override_dh_install:
	dh_install
	echo "require_once 'Mail.php';"  >> debian/php-vitexsoftware-ease-core/usr/share/php/EaseCore/Mailer.php
	echo "require_once 'Mail/mime.php';" >> debian/php-vitexsoftware-ease-core/usr/share/php/EaseCore/Mailer.php
	sed -i -e 's/..\/vendor/\/var\/lib\/php-vitexsoftware-ease-core/g' 	debian/php-vitexsoftware-ease-core-dev/usr/share/doc/php-vitexsoftware-ease-core-dev/SendTestMail.php
	sed -i -e 's/..\/i18n/\/usr\/share\/locale/g'            	        debian/php-vitexsoftware-ease-core/usr/share/php/EaseCore/Locale.php
	sed -i -e 's/.\/i18n/\/usr\/share\/php\/EaseCore\/Test\/i18n/g' debian/php-vitexsoftware-ease-core-dev/usr/share/php/EaseCore/Test/Ease/LocaleTest.php
	sed -i -e 's/tests\/.env/\/usr\/share\/php\/EaseCore\/Test\/.env/g' debian/php-vitexsoftware-ease-core-dev/usr/share/php/EaseCore/Test/Ease/SharedTest.php
	sed -i -e 's/tests\/configtest.json/\/usr\/share\/php\/EaseCore\/Test\/configtest.json/g' debian/php-vitexsoftware-ease-core-dev/usr/share/php/EaseCore/Test/Ease/SharedTest.php
	sed -i 's/vitexsoftware/deb/' debian/php-vitexsoftware-ease-core/usr/share/php/EaseCore/Logger/Logging.php
	jq '.version = "'`dpkg-parsechangelog | sed -n 's/^Version: //p'| sed 's/~.*//'`'"'  debian/composer.json |sponge debian/php-vitexsoftware-ease-core/usr/share/php/EaseCore/composer.json
